<?xml version="1.0" ?>
<launch>
    <arg name="robot_ip" default="172.16.0.3" />
    <arg name="load_gripper" default="false" />
    <arg name="sim" default="false" />
    <arg name="arm_id" default="panda" />

    <env name="ROSCONSOLE_CONFIG_FILE"
       value="$(find torque_qp)/config/rosconsole.config"/>

    <group ns="panda">
        <rosparam command="load" file="$(find torque_qp)/config/torque_qp.yaml" />
        
        <param name="robot_description"
         command="xacro $(find franka_description)/robots/panda_arm.urdf.xacro
                  gazebo:=$(arg sim)
                  hand:=$(arg load_gripper)
                  arm_id:=$(arg arm_id)">
        </param>
        <!-- <include file="$(find setup_description)/launch/setup.launch" >
            <arg name="sim" value="$(arg sim)"/>
            <arg name="load_gripper" value="$(arg load_gripper)"/>
        </include> -->
        
        <group unless="$(arg sim)">
            <include file="$(find torque_qp)/launch/franka_control.launch" >
                <arg name="robot_ip" value="$(arg robot_ip)" />
                <arg name="load_gripper" value="$(arg load_gripper)" />
            </include>
            <node name="controller_spawner" pkg="controller_manager" type="spawner" respawn="false" output="screen" args="torque_qp"/>
            <!-- Error recovery at each startup -->
            <node name="rostopic" pkg="rostopic" type="rostopic" args="pub /franka_control/error_recovery/goal franka_msgs/ErrorRecoveryActionGoal {}"/>
        </group>
    </group>
    
    <group if="$(arg sim)">
        <include file="$(find torque_qp)/launch/simulation.launch" >
            <arg name="load_gripper" value="$(arg load_gripper)" />
       </include>
    </group>
        <node name="rviz" pkg="rviz" type="rviz" args="-d $(find torque_qp)/launch/robot.rviz"/>
</launch>
